<h1 align="center">
    <a href="http://sylius.com" target="_blank">
        <img src="https://demo.sylius.com/assets/shop/img/logo.png" />
    </a>
</h1>

Sylius is an Open Source eCommerce Framework on top of [**Symfony**](https://symfony.com). 

The highest quality of code, strong testing culture, built-in Agile (BDD) workflow and exceptional flexibility make it the best solution for application tailored to your business requirements. 
Powerful REST API allows for easy integrations and creating unique customer experience on any device.

We're using full-stack Behavior-Driven-Development, with [phpspec](http://phpspec.net) and [Behat](http://behat.org).

Enjoy being an eCommerce Developer again!

Installation
------------

[Install Sylius](http://docs.sylius.com/en/1.1/book/installation/installation.html) with Composer (see [requirements details](http://docs.sylius.com/en/1.1/book/installation/requirements.html)).

Alternatively, you can [use our Vagrant setup](http://docs.sylius.com/en/1.1/book/installation/vagrant_installation.html).

Documentation
-------------
 
Documentation is available at [docs.sylius.com](http://docs.sylius.com).

Roadmap
-------

Our roadmap is available to browse, vote and comment as a [Github project](https://github.com/orgs/Sylius/projects/2). 
You can also see all roadmap related issues by filtering [those labeled with "Roadmap"](https://github.com/Sylius/Sylius/labels/Roadmap).

Community
---------

[Get Sylius support](http://docs.sylius.com/en/1.1/support/index.html) on [Slack](https://sylius.com/slack), [Forum](https://forum.sylius.com/) or [Stack Overflow](https://stackoverflow.com/questions/tagged/sylius).

Stay updated by following our [Twitter](https://twitter.com/Sylius) and [Facebook](https://www.facebook.com/SyliusEcommerce/).

Official plugins
----------------

This is the list of oficially supported Sylius plugins:

 - [Shop API Plugin](https://github.com/Sylius/SyliusShopApiPlugin) - 
   provides customer-level API for the shop functionalities
 - [Admin Order Creation Plugin](https://github.com/Sylius/AdminOrderCreationPlugin) - 
   allows to create orders directly from the administrator panel
 - [Customer Reorder Plugin](https://github.com/Sylius/CustomerReorderPlugin) - 
   allows customer to copy items from the already placed order to the current cart
 - [Customer Order Cancellation Plugin](https://github.com/Sylius/CustomerOrderCancellationPlugin) -
   allows customer to cancel a placed order which has not been processed yet
   
You can find other plugins on [our ecosystem website](https://sylius.com/plugins/) or by looking for 
[packages marked as *sylius-plugin*](https://packagist.org/explore/?type=sylius-plugin).

Contributing
------------

Would like to help us and build the most developer-friendly eCommerce platform? Start from reading our [Contributing Guide](http://docs.sylius.com/en/latest/contributing/index.html)!

License
-------

Sylius is completely free and released under the [MIT License](https://github.com/Sylius/Sylius/blob/1.1/LICENSE).

Authors
-------

Sylius was originally created by [Paweł Jędrzejewski](http://pjedrzejewski.com).
See the list of [contributors from our awesome community](https://github.com/Sylius/Sylius/contributors).
